Quassel IRC - Bug #625

editline jumps funny
03/14/2009 07:25 PM - xAFFE

Status: Resolved Start date: 03/14/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.3.0.x 0S: Any
Description

When I'm tiping a message, the editline jumps strangly. | have attached a vid of this.

I'm using quassel-git and kde 4.2

Associated revisions

Revision 0f94681b05463c64c75d25d18a0ab2fd1d4af7b9 - 03/14/2009 11:43 PM - Manuel Nickschas

Various tweaks to the input line in KDE mode

® Resize correctly according to font size, fixes #625
¢ Handle Ctrl+F correctly, thanks to Jesper Thomschutz for input

Revision 0f94681b - 03/14/2009 11:43 PM - Manuel Nickschas
Various tweaks to the input line in KDE mode

® Resize correctly according to font size, fixes #625
¢ Handle Ctrl+F correctly, thanks to Jesper Thomschutz for input

Revision b59ac9eaf6ab7580bca7d2cde3849229ddd11483 - 04/11/2009 10:29 AM - Manuel Nickschas

Consider frameWidth() for setting the inputline height

Turns out that the problem of being too large if we do this seems to be an
issue with a new documentMargin() property in Qt 4.5. Setting this to 0 and
adding the frameWidth() to the font height should fix #625.

Revision b59ac9ea - 04/11/2009 10:29 AM - Manuel Nickschas
Consider frameWidth() for setting the inputline height
Turns out that the problem of being too large if we do this seems to be an

issue with a new documentMargin() property in Qt 4.5. Setting this to 0 and
adding the frameWidth() to the font height should fix #625.

History

#1 - 03/14/2009 08:01 PM - jesperht

In src/uisupport/inputline.cpp, if you change:
setMaximumHeight(document()->size().toSize().height());
to
setMaximumHeight(document()->size().toSize().height()+2);

It works according to xAFFE (couldn't reproduce it on my system).

#2 - 03/14/2009 08:25 PM - jesperht

- File 0003-Add-extra-spacing-to-deal-with-borders-so-that-the-i.patch added

Patch to implement the stuff above
#3 - 03/14/2009 11:54 PM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 0f94681b05463c64c75d25d18a0ab2fd1d4af7b9.

#4 - 03/21/2009 06:18 PM - xAFFE
In Changeset 0f94681b054 4c75d25d1 2fd1d4af7b9 the attached Patch is not included.

Please reopen this issue!

#5 - 03/21/2009 06:31 PM - xAFFE

- Status changed from Resolved to Feedback
Reopened this issue.

Thanks EgS

#6 - 03/23/2009 02:13 PM - EgS

- Status changed from Feedback to Assigned

- Assignee set to Sputnick

#7 - 04/11/2009 11:35 AM - Sputnick
- Status changed from Assigned to Resolved
- Target version set to 0.5.0

- Version changed from 0.4.0+ to 0.3.0.x

Fixed properly now in http://git.quassel-irc.org/?

#8 - 04/11/2009 11:54 PM - xAFFE

Sputnick wrote:

Fixed properly now in http:/git.quassel-irc.org/?p=quassel.git;a=commit;h=b59ac9eaf6ab7580bca7d2cde3849229ddd 11483 one would hope.

yup, can confirm this one.

Files
hypfhypf.ogv 1.52 MB 03/14/2009 xAFFE
0003-Add-extra-spacing-to-deal-with-borders-so-that-the-i.patch 916 Bytes 03/14/2009 jesperht

07/19/2025 22


https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/0f94681b05463c64c75d25d18a0ab2fd1d4af7b9
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/0f94681b05463c64c75d25d18a0ab2fd1d4af7b9
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=b59ac9eaf6ab7580bca7d2cde3849229ddd11483
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=b59ac9eaf6ab7580bca7d2cde3849229ddd11483
http://www.tcpdf.org

